<script setup></script>

<template>
  <button>
    <slot></slot>
  </button>
</template>

<style scoped lang="scss">
button {
  background-color: transparent;
  border-width: 0;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  padding: 0;
  color: $color-white;
  cursor: pointer;
  @include responsive-value(left, 5);
  @include responsive-value(top, 1);
  border: rs(0.1) $color-white solid;
  @include responsive-value(padding-inline, 1);
  @include responsive-value(padding-block, 0.5);
  @include responsive-value(border-radius, 50);
  @include responsive-value(font-size, 1.6);
  @include responsive-value(margin-bottom, 5);
  @include responsive-value(width, 1.5rem);
  text-transform: capitalize;
  transition: all 0.3s;
  display: flex;
  justify-content: space-between;

  &:hover,
  &:focus {
    background-color: $color-white;
    color: $color-background;
  }
}
</style>
